﻿using System.Windows.Media;

namespace Dapfor.Wpf.Grid.Benchmark.Utils
{
    static class Brushes
    {
        private static readonly Brush _red;
        private static readonly Brush _green;

        static Brushes()
        {
            _red = new RadialGradientBrush(new GradientStopCollection
            {
                new GradientStop(Color.FromArgb(0, 255, 0, 0), 1), 
                new GradientStop(Color.FromArgb(200, 255, 0, 0), .6), 
                new GradientStop(Color.FromArgb(255, 255, 0, 0), 0)
            });

            _green = new RadialGradientBrush(new GradientStopCollection
            {
                new GradientStop(Color.FromArgb(0, 0, 255, 0), 1), 
                new GradientStop(Color.FromArgb(200, 0, 255, 0), .6), 
                new GradientStop(Color.FromArgb(255, 0, 255, 0), 0)
            });
        }

        public static Brush Red 
        {
            get { return _red; }
        }


        public static Brush Green
        {
            get { return _green; }
        }
    }
}
